language-support-writing-eu depends on a package in multiverse

Bug #196734 reported by Steve Langasek on 2008-02-28
6
Affects Status Importance Assigned to Milestone
language-support-extra-eu (Ubuntu)
High
Arne Goetje

Bug Description

Binary package hint: language-support-writing-eu

language-support-writing-eu Depends: myspell-eu-es for a basque dictionary, but this dictionary is under a non-commercial license and therefore resides in multiverse. This makes language-support-writing-eu uninstallable in main.

Dropping the dependency doesn't make much sense, because l-s-writing-eu is a metapackage that has no other dependencies. So the choices here are to drop language-support-writing-eu altogether and have language-support-eu stop depending on it, or move language-support-writing-eu to multiverse and drop language-support-eu's dependency to a recommends/suggests. The latter option needs to be confirmed that it will work with language-selector, otherwise there doesn't seem to be much value.

Steve Langasek (vorlon) on 2008-02-28
Changed in language-support-writing-eu:
importance: Undecided → High
milestone: none → ubuntu-8.04-beta
status: New → Confirmed
Arne Goetje (arnegoetje) wrote :

Fixed in bzr. myspell-eu-es moved to language-support-extra-eu. The -extra- packages reside in Universe/Multiverse and are Suggests of the language-support packages.

Changed in language-support-writing-eu:
assignee: nobody → arnegoetje
status: Confirmed → Fix Committed
Martin Pitt (pitti) wrote :

I removed -extra-eu from the archive. Arne will upload the -writing-eu.

On Fri, Feb 29, 2008 at 07:21:26AM -0000, Martin Pitt wrote:
> I removed -extra-eu from the archive. Arne will upload the -writing-eu.

Isn't this backwards? language-support-writing-eu is the package that's
already broken.

Martin Pitt (pitti) wrote :

Steve Langasek [2008-02-29 7:42 -0000]:
> On Fri, Feb 29, 2008 at 07:21:26AM -0000, Martin Pitt wrote:
> > I removed -extra-eu from the archive. Arne will upload the -writing-eu.
>
> Isn't this backwards? language-support-writing-eu is the package that's
> already broken.

Sorry, ETOOEARLY. I actually removed -writing, and Arne just updated
-extra.

--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

My 5 today: #103831 (hal-info), #120413 (hal-info), #191737 (hal-info),
#94924 (hal-info), #114443 (hal-info)
Do 5 a day - every day! https://wiki.ubuntu.com/5-A-Day

Martin Pitt (pitti) wrote :

Arne recently updated -extra-eu.

Changed in language-support-extra-eu:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers